;------------------------------------------------------------------------------
;
; Copyright (c) 2021, ASSET InterTech Inc. All rights reserved.<BR>
;
; This program and the accompanying materials
; are licensed and made available under the terms and conditions of the BSD License
; which accompanies this distribution.  The full text of the license may be found at
; http://opensource.org/licenses/bsd-license.php.
;
; THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
; WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
;
; Module Name:
;
;   ReadRip.Asm
;
; Abstract:
;
;   AsmReadRip function
;
; Notes:
;
;------------------------------------------------------------------------------

    DEFAULT REL
    SECTION .text

;------------------------------------------------------------------------------
; UINTN
; EFIAPI
; AsmReadRip (
;   VOID
;   );
;------------------------------------------------------------------------------
global ASM_PFX(AsmReadRip)
ASM_PFX(AsmReadRip):
    mov     eax, dword ptr [esp]
    ret

